.spinner {
    width: 20px;
    height: 20px;
    border: 2px solid rgba(255, 255, 255, 0.3);
    border-top: 2px solid white;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

.spinner.danger {
    border-top: 2px solid red;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
/* .recentResults {
    display: none;
} */

/* Infinite Scroll Loader */
.hasMore {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 100px; /* Adjust as needed */
}

.d-none {
    display: none !important;
}

.hasMore .loader {
    position: relative;
    width: 48px;
    height: 48px;
}

.hasMore .loader::before,
.hasMore .loader::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #9A692E; /* $basecolor */
    animation: loader-spin 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
}

.hasMore .loader::after {
    border-top-color: #007564; /* $basecolor2 */
    animation-delay: -0.6s;
}

@keyframes loader-spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

